Class O365SearchSessionStartRequest
java.lang.Object
com.iland.core.web.rest.request.vbo.O365SearchSessionStartRequest
Request body for opening a Search Backups session. All fields are
optional. When
restorePointUuid is omitted the session is
opened against the latest restore point for the session type.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionReturns the optional restore point uuid to open the session against.booleanReturns whether deleted items should be included.booleanReturns whether all versions should be shown.
-
Constructor Details
-
O365SearchSessionStartRequest
public O365SearchSessionStartRequest()Default constructor for deserialization.
-
-
Method Details
-
getRestorePointUuid
Returns the optional restore point uuid to open the session against.- Returns:
- the restore point uuid, or
nullfor the latest
-
isIncludeDeletedItems
public boolean isIncludeDeletedItems()Returns whether deleted items should be included.- Returns:
trueto include deleted items
-
isShowAllVersions
public boolean isShowAllVersions()Returns whether all versions should be shown.- Returns:
trueto show all versions
-